Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(849)

Unified Diff: build/android/buildbot.sh

Issue 8746003: Expand android tests. (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Created 9 years, 1 month ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « build/all_android.gyp ('k') | build/android/gtest_filter/net_unittests_disabled » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: build/android/buildbot.sh
diff --git a/build/android/buildbot.sh b/build/android/buildbot.sh
index 52a5189680ad85137e618b139186a5cdfa86ff3c..b6bda9ff57ac3244d5b94d7580c13c3971c40757 100755
--- a/build/android/buildbot.sh
+++ b/build/android/buildbot.sh
@@ -51,6 +51,19 @@ android_gyp
echo "@@@BUILD_STEP Compile@@@"
make -j4
+# Linking DumpRenderTree appears to hang forever?
+# EXPERIMENTAL_TARGETS="DumpRenderTree webkit_unit_tests"
+EXPERIMENTAL_TARGETS="webkit_unit_tests"
+for target in ${EXPERIMENTAL_TARGETS} ; do
+ echo "@@@BUILD_STEP Experimental Compile $target @@@"
+ set +e
+ make -j4 "${target}"
+ set -e
+ if [ $? -ne 0 ] ; then
+ echo "@@@STEP_WARNINGS@@@"
+ fi
+done
+
echo "@@@BUILD_STEP Run Tests@@@"
build/android/run_tests.py -e --xvfb
« no previous file with comments | « build/all_android.gyp ('k') | build/android/gtest_filter/net_unittests_disabled » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698